be.vlaanderen.mercurius.avr.schemas.v1

## Class AVRDF501CreateIndicationReportRequest

- java.lang.Object
- - be.vlaanderen.mercurius.avr.schemas.v1.AVRDF501CreateIndicationReportRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:30:49+01:00",
                 comments="JAXB RI v2.3.7")
      public class AVRDF501CreateIndicationReportRequest
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}MessageMetadataType"/>
               <element name="IndicationReport" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}IndicationReportType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVRDF501CreateIndicationReportRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndicationReportType` | `getIndicationReport()` Gets the value of the indicationReport property.
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `void` | `setIndicationReport(IndicationReportType value)` Sets the value of the indicationReport property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AVRDF501CreateIndicationReportRequest

          public AVRDF501CreateIndicationReportRequest()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getIndicationReport

          public IndicationReportType getIndicationReport()

      Gets the value of the indicationReport property.
      Returns:
        possible object is `IndicationReportType`

    - #### setIndicationReport

          public void setIndicationReport(IndicationReportType value)

      Sets the value of the indicationReport property.
      Parameters:
        `value` - allowed object is `IndicationReportType`

Connector Packaging TRUSSMAKER 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.